import os

from . import staging, local_api

local_tasks_storage = '/usr/share/alt-php-xray/tasks'
fpm_stat_storage = '/usr/share/alt-php-xray/fpm.stat'
nginx_cache_stat_storage = '/usr/share/alt-php-xray/nginx-user-cache.stat'
continuous_storage = '/usr/share/alt-php-xray/continuous'
request_data_storage = '/usr/share/alt-php-xray/requests'
tasks_base_storage = '/usr/share/alt-php-xray-tasks'
advice_pending_storage = '/usr/share/alt-php-xray/pending'
advice_processed_storage = '/usr/share/alt-php-xray/applied_data'
advice_list_cache = '/usr/share/alt-php-xray/advices_cache.json'
advice_list_im360_cache = '/usr/share/alt-php-xray/advices_im360_cache.json'
manager_log = '/var/log/alt-php-xray/manager.log'
agent_log = '/var/log/alt-php-xray/agent.log'
user_agent_log = '/var/log/alt-php-xray/user-agent.log'
adviser_log = '/var/log/alt-php-xray/smart_advice.log'
agent_sock = '/opt/alt/php-xray/run/xray.sock'
user_agent_sock = '/opt/alt/php-xray/run/xray-user.sock'
agent_file = '/usr/share/alt-php-xray/agent.file'
mail_template_location = '/usr/share/alt-php-xray/mail_templates'
mail_scripts_location = '/usr/share/alt-php-xray/get_email_scripts'
jwt_token_location = '/etc/sysconfig/rhn/jwt.token'
drop_after = 80  # minutes
check_period = 20  # minutes
throttling_threshold = 200  # milliseconds
fpm_reload_timeout = 1  # minutes
user_tasks_count = 1
allow_disable_nginx_cache = True
logging_level = 'debug' if os.environ.get('DEBUG_LOG') else 'info'

proto = 'https'
if staging():
    s_postfix = '8'
    s_key = '2ac05adf1e9f4cd18c064fe9e9b1a474'
    s_name = 'cl.sentry.cloudlinux.com'
    if local_api():
        proto = 'http'
        api_server = '127.0.0.1:8000'
    else:
        api_server = 'test-api.imunify360.com'
    adviser_api_server = 'x-ray-staging.cloudlinux.com'
else:
    s_postfix = '7'
    s_key = 'c4d18de9e2164ca6b92cf110faec42ea'
    s_name = 'cl.sentry.cloudlinux.com'
    api_server = 'xray.cloudlinux.com'
    adviser_api_server = 'x-ray-advice.cloudlinux.com'

sentry_dsn = f'https://{s_key}@{s_name}/{s_postfix}'

advice_action_sources = ['ACCELERATE_WP', 'WORDPRESS_PLUGIN']
advice_reason_max_len = 200
